/* eslint-disable max-len */
import React, { SVGProps } from "react";

import styles from "@/icons/IconFills.module.scss";
import { IiCon } from "@/types/IconInterface";

export const AddRoleIcon = ({ color, width = "12px", height = "12px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        width={width}
        height={height}
        className={styles[`icon_color-${color}`]}
        style={{ width, height }}
        viewBox="0 0 12 12"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path
            d="M7.40625 1.875H9.88672C10.1602 1.875 10.3555 2.08984 10.3555 2.34375V4.84375C10.3555 5.11719 10.1602 5.3125 9.88672 5.3125C9.63281 5.3125 9.41797 5.11719 9.41797 4.84375V3.47656L2.40625 10.4883C2.23047 10.6836 1.9375 10.6836 1.76172 10.4883C1.56641 10.3125 1.56641 10.0195 1.76172 9.82422L8.77344 2.8125H7.40625C7.13281 2.8125 6.9375 2.61719 6.9375 2.34375C6.9375 2.08984 7.13281 1.875 7.40625 1.875ZM2.42578 2.01172L5.55078 5.15625L4.88672 5.82031L1.76172 2.67578C1.56641 2.5 1.56641 2.20703 1.76172 2.01172C1.9375 1.83594 2.23047 1.83594 2.42578 2.01172ZM6.42969 7.36328L7.09375 6.69922L9.4375 9.04297V7.65625C9.4375 7.40234 9.63281 7.1875 9.90625 7.1875C10.1602 7.1875 10.375 7.40234 10.375 7.65625V10.1562C10.375 10.4297 10.1602 10.625 9.90625 10.625H7.40625C7.13281 10.625 6.9375 10.4297 6.9375 10.1562C6.9375 9.90234 7.13281 9.6875 7.40625 9.6875H8.77344L6.42969 7.36328Z"
            fill={fill}
        />
    </svg>
);
